// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_Message.h"
#include "K2Node_Message.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_Message::SCW_UK2Node_Message(UK2Node_Message* InK2Node_Message) : SCW_UK2Node_CallFunction(InK2Node_Message), K2Node_Message(InK2Node_Message)
{

}

UK2Node_Message* SCW_UK2Node_Message::ToUK2Node_Message() const
{
	return K2Node_Message;
}

ISCW_UK2Node_MessagePtr SCW_UK2Node_Message::ToUK2Node_MessagePtr()
{
	return GetSharedThisAs<SCW_UK2Node_Message>();
}

ISCW_UK2Node_MessageConstPtr SCW_UK2Node_Message::ToUK2Node_MessagePtr() const
{
	return GetSharedThisAs<SCW_UK2Node_Message>();
}